Package Scientific :: Package Visualization :: Module VRML :: Class Cone

[frames] | no frames]

# Class Cone

      VRMLObject --+
                   |
         ShapeObject --+
                       |
    LinearOrientedObject --+
                           |
                          Cone

Cone

Instance Methods

__init__(self, point1, point2, radius, face=True, **attr) |

memoKey(self) |

writeSpecification(self, file) |

Inherited from `ShapeObject`: `__add__`, `use`, `writeToFile` Inherited from `VRMLObject`: `__copy__`, `__getitem__`, `__setitem__`

Class Variables
Inherited from `ShapeObject`: `attribute_names`

Method Details

### __init__(self, point1, point2, radius, face=True, **attr)
(Constructor)

Parameters:
  - `point1` (Scientific.Geometry.Vector) - the tip of the cone
  - `point2` (Scientific.Geometry.Vector) - end point of the cone axis
  - `radius` (positive number) - the radius at the base
  - `face` (`bool`) - a boolean flag, specifying if the circular bottom is visible
  - `attr` - graphics attributes as keyword parameters
Overrides: VRMLObject.__init__